org.apache.cxf.feature.validation

## Class SchemaValidationFeature

- java.lang.Object
- - javax.xml.ws.WebServiceFeature
  - - org.apache.cxf.feature.AbstractFeature
    - - org.apache.cxf.feature.validation.SchemaValidationFeature

- All Implemented Interfaces:
    Feature

      public class SchemaValidationFeature
      extends AbstractFeature

  A feature to configure schema validation at the operation level, as an alternative to using the @SchemaValidation annotation.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.ws.WebServiceFeature

      `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaValidationFeature(SchemaValidationTypeProvider provider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(Client client, Bus bus)`
    `void` | `initialize(Server server, Bus bus)`

    - ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

      `getActive, getID, initialize, initialize, initializeProvider`

    - ### Methods inherited from class javax.xml.ws.WebServiceFeature

      `isEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaValidationFeature

          public SchemaValidationFeature(SchemaValidationTypeProvider provider)

  - ### Method Detail

    - #### initialize

          public void initialize(Server server,
                                 Bus bus)

      Specified by:
        `initialize` in interface `Feature`
      Overrides:
        `initialize` in class `AbstractFeature`

    - #### initialize

          public void initialize(Client client,
                                 Bus bus)

      Specified by:
        `initialize` in interface `Feature`
      Overrides:
        `initialize` in class `AbstractFeature`

Apache CXF